
<div>
    <form>
        <div>
            <h3>{{titleModal}}</h3>
        </div>
        <mat-card-content>
            <div fxLayout="row wrap" fxFlexAlign="center" class="form-row">
                <div fxFlex.gt-sm="50" fxFlex="100" class="p-r-10 form-group col">
                    <mat-form-field>
                        <mat-select [compareWith]="selectClient" placeholder="Seleccionar Cliente" #client [formControl]="validateFilters.get('client')" (selectionChange)="onCustomerChange($event.value)">
                            <mat-option *ngFor="let customer of dataCustomer" [value]="customer">
                                {{customer.name}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
                <div fxFlex.gt-sm="50" fxFlex="100" class="p-r-10 form-group col">
                    <mat-form-field>
                        <mat-select [compareWith]="selectService" placeholder="Seleccionar servicio" #service [formControl]="validateFilters.get('service')" (selectionChange)="onServiceChange($event.value)">
                            <mat-option *ngFor="let service of dataService " [value]="service">
                                {{service.name}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
            </div>

            <div fxLayout="row wrap" fxFlexAlign="center" class="form-row">
                <div fxFlex.gt-sm="100" fxFlex="100" class="p-r-10 form-group col">
                    <mat-form-field appearance="fill">
                        <mat-label>Seleccionar fecha</mat-label>
                        <mat-select [compareWith]="selectDate"  placeholder="Seleccionar fecha" 
                        #client [formControl]="validateFilters.get('date')" 
                        (selectionChange)="onHolydayChange($event.value)">
                            <mat-option *ngFor="let holyday of dataHolyday" [value]="holyday">
                                {{holyday.dateH | date:'dd/MM/yyyy'}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
            </div>

            <div fxLayout="row wrap" fxFlexAlign="center" class="form-row">
                <div fxFlex.gt-sm="50" fxFlex="100" class="p-r-10 form-group col">

                    <mat-form-field placeholder="Hora inicial" #state [formControl]="">
                        <mat-label>Hora inicial</mat-label>
                        <input [formControl]="validateFilters.get('start_time')" min-date="minDate" type="time" id="time" format="hh:mm a" short-time="true" matInput placeholder="Hora inicial" class="">
                    </mat-form-field>
                </div>
                <div fxFlex.gt-sm="50" fxFlex="100" class="p-r-10 form-group col">

                    <mat-form-field placeholder="Hora Final" #state [formControl]="">
                        <mat-label>Hora final</mat-label>
                        <input [formControl]="validateFilters.get('end_time')" min-date="minDate" type="time" id="time" format="hh:mm a" short-time="true" matInput placeholder="Hora final" class="">
                    </mat-form-field>
                </div>
            </div>
            <div fxLayout="row wrap" fxFlexAlign="center" class="form-row">
                <div fxFlex.gt-sm="50" fxFlex="100" class="p-r-10 form-group col">

                    <mat-form-field>
                        <mat-label>Mensaje</mat-label>
                        <textarea [formControl]="validateFilters.get('message')" matInput placeholder="Mensaje:"></textarea>

                    </mat-form-field>
                </div>
                <div fxFlex.gt-sm="50" fxFlex="100" class="p-10 form-group col" *ngIf="statusActivated">
                    <mat-form-field>
                        <mat-select placeholder="Seleccionar estado" #state [formControl]="validateFilters.get('state')">
                            <mat-option *ngFor="let option of filterOptions" [value]="option.value">
                                {{option.label}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>

                </div>
            </div>
        </mat-card-content>
        <div align="end">
            <button mat-raised-button color="primary" (click)="save();" type="submit" class="space-buttom">Guardar</button>
            <button mat-raised-button color="warn" mat-dialog-close class="space-buttom">Cancelar</button>
        </div>
    </form>
    
</div>
